# Name of the model used in the directory name (Optional).
model_name: autoencoder

# Python file with compile_model() function.
model_module: autoencoder

# Number of conv. filters.
filters: 32
# Crop observations from both of the ends. These observations might be
# influenced by bases outside the window.
crop_obs: 90
n_epochs: 10000
batch_size: 2048
learning_rate: 0.0001
# Number of convolutional modules. The size of bottleneck is
# window_size/2**modules.
n_conv_modules: 4

# Tensorflow settings.
intra_op_threads: 48
inter_op_threads: 1

# Learning rate schedule (Optional).
lr_schedule:
  function_name: keras_lr_decay
  args:
    initial_lr: 0.0001
    start_decay_epoch: 0
    decay: 0.01
